Discovery - List Scopes
This API supports pagination.
Returns a hierarchical list of namespaces from the source catalog. This API is used to browse and select the scope when creating or updating a MirroredCatalog.
Permissions
The caller must have a viewer workspace role.
Required Delegated Scopes
Workspace.Read.All or Workspace.ReadWrite.All or CatalogMirroring.Read.All
Microsoft Entra supported identities
This API supports the Microsoft identities listed in this section.
| Identity | Support |
|---|---|
| User | Yes |
| Service principal and Managed identities | Yes |
Interface
GET https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/catalogmirroring/scopes?connectionId={connectionId}
GET https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/catalogmirroring/scopes?connectionId={connectionId}&parent={parent}&recursive={recursive}&continuationToken={continuationToken}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
workspace
|
path | True |
string (uuid) |
The workspace ID. |
|
connection
|
query | True |
string (uuid) |
The connection ID to the catalog. |
|
continuation
|
query |
string |
A token for retrieving the next page of results. |
|
|
parent
|
query |
string[] |
Parent namespace segments. Pass each segment as a separate repeated query parameter (e.g., |
|
|
recursive
|
query |
boolean |
If true, returns nested children. Default: false. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Request completed successfully. |
|
| 429 Too Many Requests |
The service rate limit was exceeded. The server returns a Headers Retry-After: integer |
|
| Other Status Codes |
Common error codes:
|
Examples
| List Scopes example |
| List Scopes with parent example |
List Scopes example
Sample request
GET https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/catalogmirroring/scopes?connectionId=4eb6b767-e786-45ed-b7cf-d25023e52222&recursive=True
Sample response
{
"value": [
{
"name": "(root)",
"fullyQualifiedScope": [],
"isSelectable": "NotSelectable",
"children": [
{
"name": "Sales",
"fullyQualifiedScope": [
"Sales"
],
"isSelectable": "NotSelectable",
"children": null
},
{
"name": "Finance",
"fullyQualifiedScope": [
"Finance"
],
"isSelectable": "NotSelectable",
"children": null
},
{
"name": "Accounting",
"fullyQualifiedScope": [
"Accounting"
],
"isSelectable": "NotSelectable",
"children": [
{
"name": "US",
"fullyQualifiedScope": [
"Accounting",
"US"
],
"isSelectable": "Selectable",
"children": [
{
"name": "Taxes",
"fullyQualifiedScope": [
"Accounting",
"US",
"Taxes"
],
"isSelectable": "NotSelectable",
"children": null
},
{
"name": "Receivable",
"fullyQualifiedScope": [
"Accounting",
"US",
"Receivable"
],
"isSelectable": "NotSelectable",
"children": null
}
]
}
]
}
]
}
],
"continuationToken": null,
"continuationUri": null
}
List Scopes with parent example
Sample request
GET https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/catalogmirroring/scopes?connectionId=4eb6b767-e786-45ed-b7cf-d25023e52222&parent=Accounting
Sample response
{
"value": [
{
"name": "US",
"fullyQualifiedScope": [
"Accounting",
"US"
],
"isSelectable": "Selectable",
"children": null
}
],
"continuationToken": null,
"continuationUri": null
}
Definitions
| Name | Description |
|---|---|
|
Error |
A structured parameter providing additional machine-readable context about an error. |
|
Error |
The error related resource details object. |
|
Error |
The error response. |
|
Error |
The error response details. |
|
Is |
Indicates whether a namespace can be used as a mirroring scope. Only |
| Scope |
A namespace scope from the source catalog. |
|
Scopes |
A list of scopes from the source catalog. When listing from the root level (no |
ErrorParameter
A structured parameter providing additional machine-readable context about an error.
| Name | Type | Description |
|---|---|---|
| message |
string |
A human-readable description of the parameter's meaning. |
| name |
string |
The parameter identifier. |
| value |
string |
The parameter value. |
ErrorRelatedResource
The error related resource details object.
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
The resource ID that's involved in the error. |
| resourceType |
string |
The type of the resource that's involved in the error. |
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| isRetriable |
boolean |
When true, the request can be retried. Use the |
| message |
string |
A human readable representation of the error. |
| moreDetails |
List of additional error details. |
|
| parameters |
Structured parameters providing additional machine-readable context about the error. |
|
| relatedResource |
The error related resource details. |
|
| requestId |
string (uuid) |
ID of the request associated with the error. |
ErrorResponseDetails
The error response details.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| parameters |
Structured parameters providing additional machine-readable context about the error. |
|
| relatedResource |
The error related resource details. |
IsSelectable
Indicates whether a namespace can be used as a mirroring scope. Only Selectable namespaces can be used when creating or updating a MirroredCatalog. Additional values may be added over time.
| Value | Description |
|---|---|
| Selectable |
This namespace can be used as a mirroring scope. It is a parent of one or more leaf namespaces that contain tables. Leaf namespaces under it become schemas in the mirrored catalog. |
| NotSelectable |
This namespace cannot be used as a mirroring scope. It is either a leaf namespace that contains tables directly, or it has no leaf namespace children. |
Scope
A namespace scope from the source catalog.
| Name | Type | Description |
|---|---|---|
| children |
Scope[] |
Nested child namespaces. Only populated when |
| fullyQualifiedScope |
string[] |
Full namespace hierarchy as an array. For |
| isSelectable |
Indicates whether this namespace can be selected as a |
|
| name |
string |
The namespace name (leaf segment of the hierarchy). When listing from the root level, the top-level entry is a virtual |
ScopesResponse
A list of scopes from the source catalog. When listing from the root level (no parent specified), the response contains a single virtual (root) entry with fullyQualifiedScope: [] as the top-level item in value, with all actual namespaces nested under its children array. When parent is specified, the child namespaces are returned directly in value without the (root) wrapper.
| Name | Type | Description |
|---|---|---|
| continuationToken |
string |
The token for the next result set batch. If there are no more records, it's removed from the response. |
| continuationUri |
string |
The URI of the next result set batch. If there are no more records, it's removed from the response. |
| value |
Scope[] |
A list of namespace scopes. |